API referenceCustomFields
POST /api/CustomFields/Orders/Get
POST
/api/CustomFields/Orders/Getcurl -X POST "/api/CustomFields/Orders/Get" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY"Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Response
application/json
OK
successbooleanerrorCodestring | nullerrorMessagestring | nullwarningMessagestring | nullinfoMessagestring | nullrecordCountinteger<int32>dataEtrmApiGateway.DTOs.CustomFieldDto[] | null
{
"success": true,
"errorCode": "string",
"errorMessage": "string",
"warningMessage": "string",
"infoMessage": "string",
"recordCount": 0,
"data": [
{
"id": 0,
"name": "string",
"description": "string",
"type": 1,
"typeName": "string",
"required": true,
"defaultValue": "string",
"isTimeSliced": true,
"timeZoneInfo": 0,
"timeZoneInfoName": "string",
"values": [
"string"
],
"parseExternally": true,
"externalEndpoint": "string",
"options": [
{
"id": 0,
"value": "string",
"customFieldId": 0,
"customFieldName": "string"
}
],
"masterAgreementCustomFieldTypeDependencies": [
{
"customFieldId": 0,
"customFieldName": "string",
"masterAgreementTypeId": 0,
"masterAgreementTypeName": "string"
}
],
"assetCustomFieldTypeDependencies": [
{
"customFieldId": 0,
"customFieldName": "string",
"assetTypeId": 0,
"assetTypeName": "string"
}
],
"counterPartyCustomFieldTypeDependencies": [
{
"customFieldId": 0,
"customFieldName": "string",
"counterPartyTypeId": 1,
"counterPartyTypeName": "string"
}
]
}
]
}